PHP Manual
Prev |  | Next

# PharFileInfo->isCRCChecked

(no version information, might be only in CVS)

PharFileInfo->isCRCChecked -- Returns whether file entry has had its CRC verified

## Description

bool PharFileInfo->isCRCChecked ( void )

This returns whether a file within a Phar archive has had its CRC verified.

## Return Values

`TRUE` if the file has had its CRC verified, `FALSE` if not.

## Examples

Example 1. A PharFileInfo->isCRCChecked() example

`<?php try { $p = new Phar('/path/to/my.phar', 0, 'my.phar'); $p['myfile.txt'] = 'hi'; $file = $p['myfile.txt']; var_dump($file->isCRCChecked()); } catch (Exception $e) { echo 'Create/modify operations failed on my.phar: ', $e; } ?>`

The above example will output:

    bool(true)

Prev | Home | Next
PharFileInfo->isCompressedGZ | Up | PharFileInfo->setCompressedBZIP2